java - Intellij中的这个平台不支持运行 32位 JVM

  显示原文与译文双语对照的内容
0 0

编译我的项目时,我得到了错误作为'这里平台不支持运行 32位 JVM '。

当我收到这里错误时,会出现以下错误:

在项目结构下更改'64位 JDK'主路径到时,我得到了这个错误-> 平台设置-> sdk 。

解决方案:

现在,如果我将SDK改回 32位 JDK,它可以正常工作。 但是当我将SDK作为 64位 JDK时,在这个平台不支持运行一个 32位 JVM时,就会得到错误。

我的问题而不是改变我的JDK,如何从这个问题中解脱出来。

更重要的是,我的问题是,"。运行 32 -bit JVM不支持"。 实际上我没有在Intellj中运行任何 JVM 。 我正在编译我的Java源代码来获取. class 文件。 在这里运行的

时间:原作者:6个回答

0 0

我们已经经确定你的操作系统是,并且已经经安装了两个 64位,32位 和 64位 版本。

在这里主题中安装这两个jdk时,这里主题的其他线程将显示有问题的行为:。 当使用 -d32 运行 java 命令行 时,得到错误"在这里平台上不支持运行 64位 JVM",当使用 -d64 运行 java 命令行 时,会得到错误"在这里平台上不支持运行 32位 JVM"。

因此,我强烈推荐你卸载 32位 JDK,然后安装 64位 JDK 。

原作者:
...